package model

import (
	"time"
)

type User struct {
	// Part of openid scope
	Subject string

	// Part of profile scope
	Name       string
	FamilyName string
	GivenName  string
	Nickname   string
	Picture    string
	UpdatedAt  time.Time

	// part of email scope
	Email         string
	EmailVerified bool
}
